from vtk import vtkSphereSource, vtkShrinkPolyData
from vespa import vtkCGALReconstruction

sp = vtkSphereSource()

pd = vtkShrinkPolyData()
pd.SetInputConnection(sp.GetOutputPort())

d2 = vtkCGALReconstruction.vtkCGALAdvancingFront()
d2.SetInputConnection(pd.GetOutputPort())
d2.Update()

p = vtkCGALReconstruction.vtkCGALPoisson()
p.SetInputConnection(pd.GetOutputPort())
p.Update()
